CoffeePi Coffee machine control for Raspberry Pi

- Main Page
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- a
- c
- d
- e
- f
- i
- k
- l
- m
- p
- r
- s
- t
- u
- w

### - a -

- AMOUNT_DBLESPRESSO : coffee.h
- AMOUNT_PREINFUSION : coffee.h

### - c -

- CHECK_VALUE : crc.h
- CLEARLINE : logger.h
- CLOCKID : timer.h
- CRC32 : crc.h
- CRC_NAME : crc.h

### - d -

- DEFAULT_LANG : display.h
- DISPLAY_COLS : display.h
- DISPLAY_ROWS : display.h

### - e -

- errExit : timer.h

### - f -

- FALSE : crc.h , lcd.cpp
- FINAL_XOR_VALUE : crc.h
- FLOW_ML_PULSE : hal.h

### - i -

- I2C_ADDRESS_STRIPE : stripe.h
- INITIAL_REMAINDER : crc.h

### - k -

- KBLU : logger.h
- KBOLD : logger.h
- KCYN : logger.h
- KGRN : logger.h
- KMAG : logger.h
- KNRM : logger.h
- KRED : logger.h
- KWHT : logger.h
- KYEL : logger.h

### - l -

- LCD_BLINK_CTRL : lcd.cpp
- LCD_CDSHIFT : lcd.cpp
- LCD_CDSHIFT_RL : lcd.cpp
- LCD_CGRAM : lcd.cpp
- LCD_CLEAR : lcd.cpp
- LCD_CTRL : lcd.cpp
- LCD_CURSOR_CTRL : lcd.cpp
- LCD_DGRAM : lcd.cpp
- LCD_DISPLAY_CTRL : lcd.cpp
- LCD_EN : lcd.h
- LCD_ENTRY : lcd.cpp
- LCD_ENTRY_ID : lcd.cpp
- LCD_ENTRY_SH : lcd.cpp
- LCD_FUNC : lcd.cpp
- LCD_FUNC_DL : lcd.cpp
- LCD_FUNC_F : lcd.cpp
- LCD_FUNC_N : lcd.cpp
- LCD_HOME : lcd.cpp
- LCD_RS : lcd.h
- LCD_RW : lcd.h

### - m -

- MAX_LCDS : lcd.h

### - p -

- PIN_FLOW : hal.h
- PIN_INT0 : hal.h
- PIN_INT1 : hal.h
- PIN_PRESSURE_CTRL : hal.h
- PIN_PROXIMITY_SENSOR : hal.h
- POLYNOMIAL : crc.h

### - r -

- REFLECT_DATA : crc.cpp , crc.h
- REFLECT_REMAINDER : crc.h , crc.cpp
- REFRESH_RATE : display.h
- RELAIS_HEAT : hal.h
- RELAIS_POWER : hal.h
- RELAIS_PUMP : hal.h

### - s -

- SHIFT_G : spi.h
- SHIFT_RCK : spi.h
- SHIFT_SCLR : spi.h
- SIG : timer.h
- SPI_CHANNEL : global.h
- SPI_SPEED : global.h
- SQL_DATABASE : global.h
- STATE_BREW : coffee.h
- STATE_BREWMANUAL : coffee.h
- STATE_CLEANING : coffee.h
- STATE_ERROR : coffee.h
- STATE_HEATING : coffee.h
- STATE_IDLE : coffee.h
- STATE_INITALHEATING : coffee.h
- STATE_OFF : coffee.h
- STRIPE_CMD_FADEOUT : stripe.h
- STRIPE_CMD_FADESTOP : stripe.h
- STRIPE_CMD_FADETO : stripe.h
- STRIPE_CMD_RESET : stripe.h
- STRIPE_CMD_SET : stripe.h
- STRIPE_CMD_SET2 : stripe.h
- STRIPE_CMD_SETB : stripe.h
- STRIPE_CMD_SETDIM : stripe.h
- STRIPE_CMD_SETG : stripe.h
- STRIPE_CMD_SETR : stripe.h
- STRIPE_CMD_SETW : stripe.h

### - t -

- THREAD_COFFEE : global.h
- THREAD_DISPLAY : global.h
- THREAD_MAIN : global.h
- THREAD_STRIPE : global.h
- TIME_BUTTONLONGPRESS : hal.h
- TIME_INFUSION : coffee.h
- TIME_SOAK : coffee.h
- TIMER_DELAY_US : global.h
- TOPBIT : crc.cpp
- TRUE : crc.h , lcd.cpp

### - u -

- USE_COLORS : logger.h

### - w -

- WIDTH : crc.cpp